Bug 1460004 - Parent tenant displayed in list view when allowed by RBAC
Parent tenant displayed in list view when allowed by RBAC
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.1
Assigned To: Libor Pichler
Aziza Karol
rbac:cfme_tenant
: ZStream
Depends On: 1417874
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 15:44 EDT by Satoe Imaishi
Modified: 2017-08-02 13:28 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1417874
Environment:
Last Closed: 2017-08-02 13:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-08 15:48:25 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/26a4d7dd84a462366f3a49f951eb8ab94f6b47b0

commit 26a4d7dd84a462366f3a49f951eb8ab94f6b47b0
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon May 22 12:54:10 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 15:44:49 2017 -0400

    Merge pull request #1391 from lpichler/dont_display_parent_tenant_name_neither_for_superadmin
    
    Hide tenant parent name when user(also with super_admin_role) cannot see it
    (cherry picked from commit 604092010bfb95cfcb197868b6c0f3f009016771)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460004

 app/controllers/ops_controller/ops_rbac.rb | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)
Comment 4 Aziza Karol 2017-06-29 01:45:12 EDT
Parent tenant is not displayed in list view when allowed by RBAC.

Verified: 5.8.1.0.20170623170756_3ed4411
Comment 6 errata-xmlrpc 2017-08-02 13:28:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.